=begin
#AYLIEN News API

#The AYLIEN News API is the most powerful way of sourcing, searching and syndicating analyzed and enriched news content. It is accessed by sending HTTP requests to our server, which returns information to your client. 

The version of the OpenAPI document: 5.2.3
Contact: support@aylien.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 5.0.0-SNAPSHOT

=end

require 'spec_helper'
require 'json'

# Unit tests for AylienNewsApi::DefaultApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'DefaultApi' do
  before do
    # run before each test
    @api_instance = AylienNewsApi::DefaultApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of DefaultApi' do
    it 'should create an instance of DefaultApi' do
      expect(@api_instance).to be_instance_of(AylienNewsApi::DefaultApi)
    end
  end

  # unit tests for advanced_list_stories
  # List Stories
  # The stories endpoint is used to return stories based on the json query you set in your request body. The News API crawler gathers articles in near real-time and stores information about them, or metadata. Below you can see all of the query parameters, and JSON schema for the body, which you can use to narrow down your query. 
  # @param unknown_base_type /stories body schema to perform an advanced search with logical operators and nested objects. 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :published_at_start This parameter is used for finding stories whose published at time is greater than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :published_at_end This parameter is used for finding stories whose published at time is less than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [Array<String>] :_return This parameter is used for specifying return fields.
  # @option opts [String] :sort_by This parameter is used for changing the order column of the results. You can read about sorting results [here](https://newsapi.aylien.com/docs/sorting-results). 
  # @option opts [String] :sort_direction This parameter is used for changing the order direction of the result. You can read about sorting results [here](https://newsapi.aylien.com/docs/sorting-results). 
  # @option opts [String] :cursor This parameter is used for finding a specific page. You can read more about pagination of results [here](https://newsapi.aylien.com/docs/pagination-of-results). 
  # @option opts [Integer] :per_page This parameter is used for specifying number of items in each page You can read more about pagination of results [here](https://newsapi.aylien.com/docs/pagination-of-results) 
  # @return [Stories]
  describe 'advanced_list_stories test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_autocompletes
  # List autocompletes
  # The autocompletes endpoint a string of characters provided to it, and then returns suggested terms that are the most likely full words or strings. The terms returned by the News API are based on parameters the type parameters you can see below. For example, if you provide the autocompletes endpoint with the term &#x60;New York C&#x60; and select the type &#x60;dbpedia_resources&#x60;, the API will return links to the DBpedia resources &#x60;New_York_City&#x60;, &#x60;New_York_City_Subway&#x60;, &#x60;New_York_City_Police_Department&#x60;, and so on. 
  # @param type This parameter is used for defining the type of autocompletes. 
  # @param term This parameter is used for finding autocomplete objects that contain the specified value. 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :language This parameter is used for autocompletes whose language is the specified value. It supports [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language codes. 
  # @option opts [Integer] :per_page This parameter is used for specifying number of items in each page. 
  # @return [Autocompletes]
  describe 'list_autocompletes test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_clusters
  # List Clusters
  # The clusters endpoint is used to return clusters based on parameters you set in your query. 
  # @param [Hash] opts the optional parameters
  # @option opts [Array<Integer>] :id This parameter is used for finding clusters by cluster id. 
  # @option opts [Array<Integer>] :id2 This parameter is used for excluding clusters by cluster id. 
  # @option opts [Integer] :story_count_min This parameter is used for finding clusters with more than or equal to a specific amount of stories associated with them. 
  # @option opts [Integer] :story_count_max This parameter is used for finding clusters with less than or equal to a specific amount of stories associated with them. 
  # @option opts [String] :time_start This parameter is used for finding clusters whose creation time is greater than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :time_end This parameter is used for finding clusters whose creation time is less than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :earliest_story_start This parameter is used for finding clusters whose publication date of its earliest story is greater than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :earliest_story_end This parameter is used for finding clusters whose publication date of its earliest story is less than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :latest_story_start This parameter is used for finding clusters whose publication date of its latest story is greater than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :latest_story_end This parameter is used for finding clusters whose publication date of its latest story is less than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [Array<String>] :location_country This parameter is used for finding clusters belonging to a specific country. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :location_country2 This parameter is used for excluding clusters belonging to a specific country. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :_return This parameter is used for specifying return fields.
  # @option opts [String] :sort_by This parameter is used for changing the order column of the results. You can read about sorting results [here](https://newsapi.aylien.com/docs/sorting-results). 
  # @option opts [String] :sort_direction This parameter is used for changing the order direction of the result. You can read about sorting results [here](https://newsapi.aylien.com/docs/sorting-results). 
  # @option opts [String] :cursor This parameter is used for finding a specific page. You can read more about pagination of results [here](https://newsapi.aylien.com/docs/pagination-of-results). 
  # @option opts [Integer] :per_page This parameter is used for specifying number of items in each page You can read more about pagination of results [here](https://newsapi.aylien.com/docs/pagination-of-results) 
  # @return [Clusters]
  describe 'list_clusters test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_histograms
  # List histograms
  # For the numerical metadata that the News API gathers (such as word counts or social shares for example), you can use the histograms endpoint to access and display this information. As this endpoint does not return actual stories, the results you are given will not count towards your story allowance provided by your subscription, so you can effectively query this endpoint free of charge. 
  # @param [Hash] opts the optional parameters
  # @option opts [Array<Integer>] :id This parameter is used for finding stories by story id. 
  # @option opts [Array<Integer>] :id2 This parameter is used for excluding stories by story id. 
  # @option opts [String] :title This parameter is used for finding stories whose title contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :body This parameter is used for finding stories whose body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :text This parameter is used for finding stories whose title or body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_title This parameter is used for finding stories whose translation title contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_body This parameter is used for finding stories whose translation body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_text This parameter is used for finding stories whose translation title or body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [Array<String>] :links_permalink This parameter is used to find stories based on their url. 
  # @option opts [Array<String>] :links_permalink2 This parameter is used to exclude stories based on their url. 
  # @option opts [Array<String>] :language This parameter is used for finding stories whose language is the specified value. It supports [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language codes. 
  # @option opts [Array<String>] :language2 This parameter is used for excluding stories whose language is the specified value. It supports [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language codes. 
  # @option opts [String] :published_at_start This parameter is used for finding stories whose published at time is greater than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :published_at_end This parameter is used for finding stories whose published at time is less than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :categories_taxonomy This parameter is used for defining the type of the taxonomy for the rest of the categories queries. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Boolean] :categories_confident This parameter is used for finding stories whose categories are confident. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_id This parameter is used for finding stories by categories id. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_id2 This parameter is used for excluding stories by categories id. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_label This parameter is used for finding stories by categories label. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_label2 This parameter is used for excluding stories by categories label. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<Integer>] :categories_level This parameter is used for finding stories by categories level. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<Integer>] :categories_level2 This parameter is used for excluding stories by categories level. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :entities_id This parameter is used to find stories based on the specified entities &#x60;id&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_id2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;id&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikipedia This parameter is used to find stories based on the specified entities wikipedia URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikipedia2 This parameter is used to exclude stories based on the specified entity&#39;s Wikipedia URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikidata This parameter is used to find stories based on the specified entities wikidata URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikidata2 This parameter is used to exclude stories based on the specified entity&#39;s Wikidata URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_types This parameter is used to find stories based on the specified entities &#x60;types&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_types2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;types&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_stock_tickers This parameter is used to find stories based on the specified entities &#x60;stock_tickers&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_stock_tickers This parameter is used to exclude stories based on the specified entity&#39;s &#x60;stock_tickers&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [String] :entities_title_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60; in story titles. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_title_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60; in story titles. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [String] :sentiment_title_polarity This parameter is used for finding stories whose title sentiment is the specified value. 
  # @option opts [String] :sentiment_title_polarity2 This parameter is used for excluding stories whose title sentiment is the specified value. 
  # @option opts [String] :sentiment_body_polarity This parameter is used for finding stories whose body sentiment is the specified value. 
  # @option opts [String] :sentiment_body_polarity2 This parameter is used for excluding stories whose body sentiment is the specified value. 
  # @option opts [Integer] :media_images_count_min This parameter is used for finding stories whose number of images is greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_count_max This parameter is used for finding stories whose number of images is less than or equal to the specified value. 
  # @option opts [Integer] :media_images_width_min This parameter is used for finding stories whose width of images are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_width_max This parameter is used for finding stories whose width of images are less than or equal to the specified value. 
  # @option opts [Integer] :media_images_height_min This parameter is used for finding stories whose height of images are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_height_max This parameter is used for finding stories whose height of images are less than or equal to the specified value. 
  # @option opts [Integer] :media_images_content_length_min This parameter is used for finding stories whose images content length are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_content_length_max This parameter is used for finding stories whose images content length are less than or equal to the specified value. 
  # @option opts [Array<String>] :media_images_format This parameter is used for finding stories whose images format are the specified value. 
  # @option opts [Array<String>] :media_images_format2 This parameter is used for excluding stories whose images format are the specified value. 
  # @option opts [Integer] :media_videos_count_min This parameter is used for finding stories whose number of videos is greater than or equal to the specified value. 
  # @option opts [Integer] :media_videos_count_max This parameter is used for finding stories whose number of videos is less than or equal to the specified value. 
  # @option opts [Array<Integer>] :author_id This parameter is used for finding stories whose author id is the specified value. 
  # @option opts [Array<Integer>] :author_id2 This parameter is used for excluding stories whose author id is the specified value. 
  # @option opts [String] :author_name This parameter is used for finding stories whose author full name contains the specified value. 
  # @option opts [String] :author_name2 This parameter is used for excluding stories whose author full name contains the specified value. 
  # @option opts [Array<Integer>] :source_id This parameter is used for finding stories whose source id is the specified value. 
  # @option opts [Array<Integer>] :source_id2 This parameter is used for excluding stories whose source id is the specified value. 
  # @option opts [Array<String>] :source_name This parameter is used for finding stories whose source name contains the specified value. 
  # @option opts [Array<String>] :source_name2 This parameter is used for excluding stories whose source name contains the specified value. 
  # @option opts [Array<String>] :source_domain This parameter is used for finding stories whose source domain is the specified value. 
  # @option opts [Array<String>] :source_domain2 This parameter is used for excluding stories whose source domain is the specified value. 
  # @option opts [Array<String>] :source_locations_country This parameter is used for finding stories whose source country is the specified value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_country2 This parameter is used for excluding stories whose source country is the specified value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_state This parameter is used for finding stories whose source state/province is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_state2 This parameter is used for excluding stories whose source state/province is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_city This parameter is used for finding stories whose source city is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_city2 This parameter is used for excluding stories whose source city is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_country This parameter is used for finding stories whose source scopes is the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_country2 This parameter is used for excluding stories whose source scopes is the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_state This parameter is used for finding stories whose source scopes is the specified state/province value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_state2 This parameter is used for excluding stories whose source scopes is the specified state/province value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_city This parameter is used for finding stories whose source scopes is the specified city value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_city2 This parameter is used for excluding stories whose source scopes is the specified city value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_level This parameter is used for finding stories whose source scopes is the specified level value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_level2 This parameter is used for excluding stories whose source scopes is the specified level value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Integer] :source_links_in_count_min This parameter is used for finding stories from sources whose Links in count is greater than or equal to the specified value. You can read more about working with Links in count [here](https://newsapi.aylien.com/docs/working-with-links-in-count). 
  # @option opts [Integer] :source_links_in_count_max This parameter is used for finding stories from sources whose Links in count is less than or equal to the specified value. You can read more about working with Links in count [here](https://newsapi.aylien.com/docs/working-with-links-in-count). 
  # @option opts [Integer] :source_rankings_alexa_rank_min This parameter is used for finding stories from sources whose Alexa rank is greater than or equal to the specified value. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Integer] :source_rankings_alexa_rank_max This parameter is used for finding stories from sources whose Alexa rank is less than or equal to the specified value. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Array<String>] :source_rankings_alexa_country This parameter is used for finding stories from sources whose Alexa rank is in the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Integer] :social_shares_count_facebook_min This parameter is used for finding stories whose Facebook social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_facebook_max This parameter is used for finding stories whose Facebook social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_google_plus_min This parameter is used for finding stories whose Google+ social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_google_plus_max This parameter is used for finding stories whose Google+ social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_linkedin_min This parameter is used for finding stories whose LinkedIn social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_linkedin_max This parameter is used for finding stories whose LinkedIn social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_reddit_min This parameter is used for finding stories whose Reddit social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_reddit_max This parameter is used for finding stories whose Reddit social shares count is less than or equal to the specified value. 
  # @option opts [Array<String>] :clusters This parameter is used for finding stories with belonging to one of clusters in a specific set of clusters You can read more about working with clustering [here](https://newsapi.aylien.com/docs/working-with-clustering). 
  # @option opts [String] :aql This parameter is used to supply a query in AYLIEN Query Language. 
  # @option opts [String] :aql_default_field This parameter is used to supply an optional default field name used in the AQL query. 
  # @option opts [String] :query This parameter is used to make an advanced query using $and, $or, $not logical operators and $eq for exact match, $text for a text search and $lt, $gt, $lte, $gte for range queries. value must be a json string. 
  # @option opts [Integer] :interval_start This parameter is used for setting the start data point of histogram intervals. 
  # @option opts [Integer] :interval_end This parameter is used for setting the end data point of histogram intervals. 
  # @option opts [Integer] :interval_width This parameter is used for setting the width of histogram intervals. 
  # @option opts [String] :field This parameter is used for specifying the y-axis variable for the histogram. 
  # @return [Histograms]
  describe 'list_histograms test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_related_stories_get
  # @param [Hash] opts the optional parameters
  # @option opts [Array<Integer>] :id This parameter is used for finding stories by story id. 
  # @option opts [Array<Integer>] :id2 This parameter is used for excluding stories by story id. 
  # @option opts [String] :title This parameter is used for finding stories whose title contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :body This parameter is used for finding stories whose body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :text This parameter is used for finding stories whose title or body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_title This parameter is used for finding stories whose translation title contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_body This parameter is used for finding stories whose translation body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_text This parameter is used for finding stories whose translation title or body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [Array<String>] :links_permalink This parameter is used to find stories based on their url. 
  # @option opts [Array<String>] :links_permalink2 This parameter is used to exclude stories based on their url. 
  # @option opts [Array<String>] :language This parameter is used for finding stories whose language is the specified value. It supports [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language codes. 
  # @option opts [Array<String>] :language2 This parameter is used for excluding stories whose language is the specified value. It supports [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language codes. 
  # @option opts [String] :published_at_start This parameter is used for finding stories whose published at time is greater than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :published_at_end This parameter is used for finding stories whose published at time is less than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :categories_taxonomy This parameter is used for defining the type of the taxonomy for the rest of the categories queries. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Boolean] :categories_confident This parameter is used for finding stories whose categories are confident. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_id This parameter is used for finding stories by categories id. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_id2 This parameter is used for excluding stories by categories id. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_label This parameter is used for finding stories by categories label. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_label2 This parameter is used for excluding stories by categories label. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<Integer>] :categories_level This parameter is used for finding stories by categories level. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<Integer>] :categories_level2 This parameter is used for excluding stories by categories level. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :entities_id This parameter is used to find stories based on the specified entities &#x60;id&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_id2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;id&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikipedia This parameter is used to find stories based on the specified entities wikipedia URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikipedia2 This parameter is used to exclude stories based on the specified entity&#39;s Wikipedia URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikidata This parameter is used to find stories based on the specified entities wikidata URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikidata2 This parameter is used to exclude stories based on the specified entity&#39;s Wikidata URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_types This parameter is used to find stories based on the specified entities &#x60;types&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_types2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;types&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_stock_tickers This parameter is used to find stories based on the specified entities &#x60;stock_tickers&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_stock_tickers This parameter is used to exclude stories based on the specified entity&#39;s &#x60;stock_tickers&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [String] :entities_title_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60; in story titles. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_title_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60; in story titles. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [String] :sentiment_title_polarity This parameter is used for finding stories whose title sentiment is the specified value. 
  # @option opts [String] :sentiment_title_polarity2 This parameter is used for excluding stories whose title sentiment is the specified value. 
  # @option opts [String] :sentiment_body_polarity This parameter is used for finding stories whose body sentiment is the specified value. 
  # @option opts [String] :sentiment_body_polarity2 This parameter is used for excluding stories whose body sentiment is the specified value. 
  # @option opts [Integer] :media_images_count_min This parameter is used for finding stories whose number of images is greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_count_max This parameter is used for finding stories whose number of images is less than or equal to the specified value. 
  # @option opts [Integer] :media_images_width_min This parameter is used for finding stories whose width of images are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_width_max This parameter is used for finding stories whose width of images are less than or equal to the specified value. 
  # @option opts [Integer] :media_images_height_min This parameter is used for finding stories whose height of images are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_height_max This parameter is used for finding stories whose height of images are less than or equal to the specified value. 
  # @option opts [Integer] :media_images_content_length_min This parameter is used for finding stories whose images content length are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_content_length_max This parameter is used for finding stories whose images content length are less than or equal to the specified value. 
  # @option opts [Array<String>] :media_images_format This parameter is used for finding stories whose images format are the specified value. 
  # @option opts [Array<String>] :media_images_format2 This parameter is used for excluding stories whose images format are the specified value. 
  # @option opts [Integer] :media_videos_count_min This parameter is used for finding stories whose number of videos is greater than or equal to the specified value. 
  # @option opts [Integer] :media_videos_count_max This parameter is used for finding stories whose number of videos is less than or equal to the specified value. 
  # @option opts [Array<Integer>] :author_id This parameter is used for finding stories whose author id is the specified value. 
  # @option opts [Array<Integer>] :author_id2 This parameter is used for excluding stories whose author id is the specified value. 
  # @option opts [String] :author_name This parameter is used for finding stories whose author full name contains the specified value. 
  # @option opts [String] :author_name2 This parameter is used for excluding stories whose author full name contains the specified value. 
  # @option opts [Array<Integer>] :source_id This parameter is used for finding stories whose source id is the specified value. 
  # @option opts [Array<Integer>] :source_id2 This parameter is used for excluding stories whose source id is the specified value. 
  # @option opts [Array<String>] :source_name This parameter is used for finding stories whose source name contains the specified value. 
  # @option opts [Array<String>] :source_name2 This parameter is used for excluding stories whose source name contains the specified value. 
  # @option opts [Array<String>] :source_domain This parameter is used for finding stories whose source domain is the specified value. 
  # @option opts [Array<String>] :source_domain2 This parameter is used for excluding stories whose source domain is the specified value. 
  # @option opts [Array<String>] :source_locations_country This parameter is used for finding stories whose source country is the specified value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_country2 This parameter is used for excluding stories whose source country is the specified value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_state This parameter is used for finding stories whose source state/province is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_state2 This parameter is used for excluding stories whose source state/province is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_city This parameter is used for finding stories whose source city is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_city2 This parameter is used for excluding stories whose source city is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_country This parameter is used for finding stories whose source scopes is the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_country2 This parameter is used for excluding stories whose source scopes is the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_state This parameter is used for finding stories whose source scopes is the specified state/province value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_state2 This parameter is used for excluding stories whose source scopes is the specified state/province value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_city This parameter is used for finding stories whose source scopes is the specified city value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_city2 This parameter is used for excluding stories whose source scopes is the specified city value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_level This parameter is used for finding stories whose source scopes is the specified level value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_level2 This parameter is used for excluding stories whose source scopes is the specified level value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Integer] :source_links_in_count_min This parameter is used for finding stories from sources whose Links in count is greater than or equal to the specified value. You can read more about working with Links in count [here](https://newsapi.aylien.com/docs/working-with-links-in-count). 
  # @option opts [Integer] :source_links_in_count_max This parameter is used for finding stories from sources whose Links in count is less than or equal to the specified value. You can read more about working with Links in count [here](https://newsapi.aylien.com/docs/working-with-links-in-count). 
  # @option opts [Integer] :source_rankings_alexa_rank_min This parameter is used for finding stories from sources whose Alexa rank is greater than or equal to the specified value. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Integer] :source_rankings_alexa_rank_max This parameter is used for finding stories from sources whose Alexa rank is less than or equal to the specified value. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Array<String>] :source_rankings_alexa_country This parameter is used for finding stories from sources whose Alexa rank is in the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Integer] :social_shares_count_facebook_min This parameter is used for finding stories whose Facebook social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_facebook_max This parameter is used for finding stories whose Facebook social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_google_plus_min This parameter is used for finding stories whose Google+ social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_google_plus_max This parameter is used for finding stories whose Google+ social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_linkedin_min This parameter is used for finding stories whose LinkedIn social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_linkedin_max This parameter is used for finding stories whose LinkedIn social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_reddit_min This parameter is used for finding stories whose Reddit social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_reddit_max This parameter is used for finding stories whose Reddit social shares count is less than or equal to the specified value. 
  # @option opts [Array<String>] :clusters This parameter is used for finding stories with belonging to one of clusters in a specific set of clusters You can read more about working with clustering [here](https://newsapi.aylien.com/docs/working-with-clustering). 
  # @option opts [Array<String>] :_return This parameter is used for specifying return fields.
  # @option opts [Integer] :story_id A story id
  # @option opts [String] :story_url An article or webpage
  # @option opts [String] :story_title Title of the article
  # @option opts [String] :story_body Body of the article
  # @option opts [String] :aql This parameter is used to supply a query in AYLIEN Query Language. 
  # @option opts [String] :aql_default_field This parameter is used to supply an optional default field name used in the AQL query. 
  # @option opts [String] :query This parameter is used to make an advanced query using $and, $or, $not logical operators and $eq for exact match, $text for a text search and $lt, $gt, $lte, $gte for range queries. value must be a json string. 
  # @option opts [String] :boost_by This parameter is used for boosting the result by the specified value. 
  # @option opts [String] :story_language This parameter is used for setting the language of the story. It supports [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language codes. 
  # @option opts [Integer] :per_page This parameter is used for specifying number of items in each page. 
  # @return [RelatedStories]
  describe 'list_related_stories_get test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_related_stories_post
  # @param [Hash] opts the optional parameters
  # @option opts [Array<Integer>] :id This parameter is used for finding stories by story id. 
  # @option opts [Array<Integer>] :id2 This parameter is used for excluding stories by story id. 
  # @option opts [String] :title This parameter is used for finding stories whose title contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :body This parameter is used for finding stories whose body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :text This parameter is used for finding stories whose title or body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_title This parameter is used for finding stories whose translation title contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_body This parameter is used for finding stories whose translation body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_text This parameter is used for finding stories whose translation title or body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [Array<String>] :links_permalink This parameter is used to find stories based on their url. 
  # @option opts [Array<String>] :links_permalink2 This parameter is used to exclude stories based on their url. 
  # @option opts [Array<String>] :language This parameter is used for finding stories whose language is the specified value. It supports [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language codes. 
  # @option opts [Array<String>] :language2 This parameter is used for excluding stories whose language is the specified value. It supports [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language codes. 
  # @option opts [String] :published_at_start This parameter is used for finding stories whose published at time is greater than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :published_at_end This parameter is used for finding stories whose published at time is less than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :categories_taxonomy This parameter is used for defining the type of the taxonomy for the rest of the categories queries. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Boolean] :categories_confident This parameter is used for finding stories whose categories are confident. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_id This parameter is used for finding stories by categories id. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_id2 This parameter is used for excluding stories by categories id. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_label This parameter is used for finding stories by categories label. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_label2 This parameter is used for excluding stories by categories label. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<Integer>] :categories_level This parameter is used for finding stories by categories level. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<Integer>] :categories_level2 This parameter is used for excluding stories by categories level. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :entities_id This parameter is used to find stories based on the specified entities &#x60;id&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_id2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;id&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikipedia This parameter is used to find stories based on the specified entities wikipedia URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikipedia2 This parameter is used to exclude stories based on the specified entity&#39;s Wikipedia URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikidata This parameter is used to find stories based on the specified entities wikidata URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikidata2 This parameter is used to exclude stories based on the specified entity&#39;s Wikidata URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_types This parameter is used to find stories based on the specified entities &#x60;types&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_types2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;types&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_stock_tickers This parameter is used to find stories based on the specified entities &#x60;stock_tickers&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_stock_tickers This parameter is used to exclude stories based on the specified entity&#39;s &#x60;stock_tickers&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [String] :entities_title_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60; in story titles. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_title_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60; in story titles. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [String] :sentiment_title_polarity This parameter is used for finding stories whose title sentiment is the specified value. 
  # @option opts [String] :sentiment_title_polarity2 This parameter is used for excluding stories whose title sentiment is the specified value. 
  # @option opts [String] :sentiment_body_polarity This parameter is used for finding stories whose body sentiment is the specified value. 
  # @option opts [String] :sentiment_body_polarity2 This parameter is used for excluding stories whose body sentiment is the specified value. 
  # @option opts [Integer] :media_images_count_min This parameter is used for finding stories whose number of images is greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_count_max This parameter is used for finding stories whose number of images is less than or equal to the specified value. 
  # @option opts [Integer] :media_images_width_min This parameter is used for finding stories whose width of images are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_width_max This parameter is used for finding stories whose width of images are less than or equal to the specified value. 
  # @option opts [Integer] :media_images_height_min This parameter is used for finding stories whose height of images are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_height_max This parameter is used for finding stories whose height of images are less than or equal to the specified value. 
  # @option opts [Integer] :media_images_content_length_min This parameter is used for finding stories whose images content length are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_content_length_max This parameter is used for finding stories whose images content length are less than or equal to the specified value. 
  # @option opts [Array<String>] :media_images_format This parameter is used for finding stories whose images format are the specified value. 
  # @option opts [Array<String>] :media_images_format2 This parameter is used for excluding stories whose images format are the specified value. 
  # @option opts [Integer] :media_videos_count_min This parameter is used for finding stories whose number of videos is greater than or equal to the specified value. 
  # @option opts [Integer] :media_videos_count_max This parameter is used for finding stories whose number of videos is less than or equal to the specified value. 
  # @option opts [Array<Integer>] :author_id This parameter is used for finding stories whose author id is the specified value. 
  # @option opts [Array<Integer>] :author_id2 This parameter is used for excluding stories whose author id is the specified value. 
  # @option opts [String] :author_name This parameter is used for finding stories whose author full name contains the specified value. 
  # @option opts [String] :author_name2 This parameter is used for excluding stories whose author full name contains the specified value. 
  # @option opts [Array<Integer>] :source_id This parameter is used for finding stories whose source id is the specified value. 
  # @option opts [Array<Integer>] :source_id2 This parameter is used for excluding stories whose source id is the specified value. 
  # @option opts [Array<String>] :source_name This parameter is used for finding stories whose source name contains the specified value. 
  # @option opts [Array<String>] :source_name2 This parameter is used for excluding stories whose source name contains the specified value. 
  # @option opts [Array<String>] :source_domain This parameter is used for finding stories whose source domain is the specified value. 
  # @option opts [Array<String>] :source_domain2 This parameter is used for excluding stories whose source domain is the specified value. 
  # @option opts [Array<String>] :source_locations_country This parameter is used for finding stories whose source country is the specified value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_country2 This parameter is used for excluding stories whose source country is the specified value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_state This parameter is used for finding stories whose source state/province is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_state2 This parameter is used for excluding stories whose source state/province is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_city This parameter is used for finding stories whose source city is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_city2 This parameter is used for excluding stories whose source city is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_country This parameter is used for finding stories whose source scopes is the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_country2 This parameter is used for excluding stories whose source scopes is the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_state This parameter is used for finding stories whose source scopes is the specified state/province value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_state2 This parameter is used for excluding stories whose source scopes is the specified state/province value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_city This parameter is used for finding stories whose source scopes is the specified city value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_city2 This parameter is used for excluding stories whose source scopes is the specified city value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_level This parameter is used for finding stories whose source scopes is the specified level value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_level2 This parameter is used for excluding stories whose source scopes is the specified level value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Integer] :source_links_in_count_min This parameter is used for finding stories from sources whose Links in count is greater than or equal to the specified value. You can read more about working with Links in count [here](https://newsapi.aylien.com/docs/working-with-links-in-count). 
  # @option opts [Integer] :source_links_in_count_max This parameter is used for finding stories from sources whose Links in count is less than or equal to the specified value. You can read more about working with Links in count [here](https://newsapi.aylien.com/docs/working-with-links-in-count). 
  # @option opts [Integer] :source_rankings_alexa_rank_min This parameter is used for finding stories from sources whose Alexa rank is greater than or equal to the specified value. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Integer] :source_rankings_alexa_rank_max This parameter is used for finding stories from sources whose Alexa rank is less than or equal to the specified value. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Array<String>] :source_rankings_alexa_country This parameter is used for finding stories from sources whose Alexa rank is in the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Integer] :social_shares_count_facebook_min This parameter is used for finding stories whose Facebook social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_facebook_max This parameter is used for finding stories whose Facebook social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_google_plus_min This parameter is used for finding stories whose Google+ social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_google_plus_max This parameter is used for finding stories whose Google+ social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_linkedin_min This parameter is used for finding stories whose LinkedIn social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_linkedin_max This parameter is used for finding stories whose LinkedIn social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_reddit_min This parameter is used for finding stories whose Reddit social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_reddit_max This parameter is used for finding stories whose Reddit social shares count is less than or equal to the specified value. 
  # @option opts [Array<String>] :clusters This parameter is used for finding stories with belonging to one of clusters in a specific set of clusters You can read more about working with clustering [here](https://newsapi.aylien.com/docs/working-with-clustering). 
  # @option opts [Array<String>] :_return This parameter is used for specifying return fields.
  # @option opts [Integer] :story_id A story id
  # @option opts [String] :story_url An article or webpage
  # @option opts [String] :story_title Title of the article
  # @option opts [String] :story_body Body of the article
  # @option opts [String] :aql This parameter is used to supply a query in AYLIEN Query Language. 
  # @option opts [String] :aql_default_field This parameter is used to supply an optional default field name used in the AQL query. 
  # @option opts [String] :query This parameter is used to make an advanced query using $and, $or, $not logical operators and $eq for exact match, $text for a text search and $lt, $gt, $lte, $gte for range queries. value must be a json string. 
  # @option opts [String] :boost_by This parameter is used for boosting the result by the specified value. 
  # @option opts [String] :story_language This parameter is used for setting the language of the story. It supports [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language codes. 
  # @option opts [Integer] :per_page This parameter is used for specifying number of items in each page. 
  # @return [RelatedStories]
  describe 'list_related_stories_post test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_stories
  # List Stories
  # The stories endpoint is used to return stories based on parameters you set in your query. The News API crawler gathers articles in near real-time and stores information about them, or metadata. Below you can see all of the query parameters, which you can use to narrow down your query. 
  # @param [Hash] opts the optional parameters
  # @option opts [Array<Integer>] :id This parameter is used for finding stories by story id. 
  # @option opts [Array<Integer>] :id2 This parameter is used for excluding stories by story id. 
  # @option opts [String] :title This parameter is used for finding stories whose title contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :body This parameter is used for finding stories whose body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :text This parameter is used for finding stories whose title or body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_title This parameter is used for finding stories whose translation title contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_body This parameter is used for finding stories whose translation body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_text This parameter is used for finding stories whose translation title or body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [Array<String>] :language This parameter is used for finding stories whose language is the specified value. It supports [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language codes. 
  # @option opts [Array<String>] :language2 This parameter is used for excluding stories whose language is the specified value. It supports [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language codes. 
  # @option opts [Array<String>] :links_permalink This parameter is used to find stories based on their url. 
  # @option opts [Array<String>] :links_permalink2 This parameter is used to exclude stories based on their url. 
  # @option opts [String] :published_at_start This parameter is used for finding stories whose published at time is greater than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :published_at_end This parameter is used for finding stories whose published at time is less than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :categories_taxonomy This parameter is used for defining the type of the taxonomy for the rest of the categories queries. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Boolean] :categories_confident This parameter is used for finding stories whose categories are confident. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_id This parameter is used for finding stories by categories id. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_id2 This parameter is used for excluding stories by categories id. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_label This parameter is used for finding stories by categories label. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_label2 This parameter is used for excluding stories by categories label. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<Integer>] :categories_level This parameter is used for finding stories by categories level. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<Integer>] :categories_level2 This parameter is used for excluding stories by categories level. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :entities_id This parameter is used to find stories based on the specified entities &#x60;id&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_id2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;id&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikipedia This parameter is used to find stories based on the specified entities wikipedia URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikipedia2 This parameter is used to exclude stories based on the specified entity&#39;s Wikipedia URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikidata This parameter is used to find stories based on the specified entities wikidata URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikidata2 This parameter is used to exclude stories based on the specified entity&#39;s Wikidata URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_types This parameter is used to find stories based on the specified entities &#x60;types&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_types2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;types&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_stock_tickers This parameter is used to find stories based on the specified entities &#x60;stock_tickers&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_stock_tickers This parameter is used to exclude stories based on the specified entity&#39;s &#x60;stock_tickers&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [String] :entities_title_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60; in story titles. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_title_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60; in story titles. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [String] :sentiment_title_polarity This parameter is used for finding stories whose title sentiment is the specified value. 
  # @option opts [String] :sentiment_title_polarity2 This parameter is used for excluding stories whose title sentiment is the specified value. 
  # @option opts [String] :sentiment_body_polarity This parameter is used for finding stories whose body sentiment is the specified value. 
  # @option opts [String] :sentiment_body_polarity2 This parameter is used for excluding stories whose body sentiment is the specified value. 
  # @option opts [Integer] :media_images_count_min This parameter is used for finding stories whose number of images is greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_count_max This parameter is used for finding stories whose number of images is less than or equal to the specified value. 
  # @option opts [Integer] :media_images_width_min This parameter is used for finding stories whose width of images are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_width_max This parameter is used for finding stories whose width of images are less than or equal to the specified value. 
  # @option opts [Integer] :media_images_height_min This parameter is used for finding stories whose height of images are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_height_max This parameter is used for finding stories whose height of images are less than or equal to the specified value. 
  # @option opts [Integer] :media_images_content_length_min This parameter is used for finding stories whose images content length are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_content_length_max This parameter is used for finding stories whose images content length are less than or equal to the specified value. 
  # @option opts [Array<String>] :media_images_format This parameter is used for finding stories whose images format are the specified value. 
  # @option opts [Array<String>] :media_images_format2 This parameter is used for excluding stories whose images format are the specified value. 
  # @option opts [Integer] :media_videos_count_min This parameter is used for finding stories whose number of videos is greater than or equal to the specified value. 
  # @option opts [Integer] :media_videos_count_max This parameter is used for finding stories whose number of videos is less than or equal to the specified value. 
  # @option opts [Array<Integer>] :author_id This parameter is used for finding stories whose author id is the specified value. 
  # @option opts [Array<Integer>] :author_id2 This parameter is used for excluding stories whose author id is the specified value. 
  # @option opts [String] :author_name This parameter is used for finding stories whose author full name contains the specified value. 
  # @option opts [String] :author_name2 This parameter is used for excluding stories whose author full name contains the specified value. 
  # @option opts [Array<Integer>] :source_id This parameter is used for finding stories whose source id is the specified value. 
  # @option opts [Array<Integer>] :source_id2 This parameter is used for excluding stories whose source id is the specified value. 
  # @option opts [Array<String>] :source_name This parameter is used for finding stories whose source name contains the specified value. 
  # @option opts [Array<String>] :source_name2 This parameter is used for excluding stories whose source name contains the specified value. 
  # @option opts [Array<String>] :source_domain This parameter is used for finding stories whose source domain is the specified value. 
  # @option opts [Array<String>] :source_domain2 This parameter is used for excluding stories whose source domain is the specified value. 
  # @option opts [Array<String>] :source_locations_country This parameter is used for finding stories whose source country is the specified value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_country2 This parameter is used for excluding stories whose source country is the specified value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_state This parameter is used for finding stories whose source state/province is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_state2 This parameter is used for excluding stories whose source state/province is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_city This parameter is used for finding stories whose source city is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_city2 This parameter is used for excluding stories whose source city is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_country This parameter is used for finding stories whose source scopes is the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_country2 This parameter is used for excluding stories whose source scopes is the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_state This parameter is used for finding stories whose source scopes is the specified state/province value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_state2 This parameter is used for excluding stories whose source scopes is the specified state/province value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_city This parameter is used for finding stories whose source scopes is the specified city value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_city2 This parameter is used for excluding stories whose source scopes is the specified city value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_level This parameter is used for finding stories whose source scopes is the specified level value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_level2 This parameter is used for excluding stories whose source scopes is the specified level value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Integer] :source_links_in_count_min This parameter is used for finding stories from sources whose Links in count is greater than or equal to the specified value. You can read more about working with Links in count [here](https://newsapi.aylien.com/docs/working-with-links-in-count). 
  # @option opts [Integer] :source_links_in_count_max This parameter is used for finding stories from sources whose Links in count is less than or equal to the specified value. You can read more about working with Links in count [here](https://newsapi.aylien.com/docs/working-with-links-in-count). 
  # @option opts [Integer] :source_rankings_alexa_rank_min This parameter is used for finding stories from sources whose Alexa rank is greater than or equal to the specified value. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Integer] :source_rankings_alexa_rank_max This parameter is used for finding stories from sources whose Alexa rank is less than or equal to the specified value. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Array<String>] :source_rankings_alexa_country This parameter is used for finding stories from sources whose Alexa rank is in the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Integer] :social_shares_count_facebook_min This parameter is used for finding stories whose Facebook social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_facebook_max This parameter is used for finding stories whose Facebook social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_google_plus_min This parameter is used for finding stories whose Google+ social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_google_plus_max This parameter is used for finding stories whose Google+ social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_linkedin_min This parameter is used for finding stories whose LinkedIn social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_linkedin_max This parameter is used for finding stories whose LinkedIn social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_reddit_min This parameter is used for finding stories whose Reddit social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_reddit_max This parameter is used for finding stories whose Reddit social shares count is less than or equal to the specified value. 
  # @option opts [Array<String>] :clusters This parameter is used for finding stories with belonging to one of clusters in a specific set of clusters You can read more about working with clustering [here](https://newsapi.aylien.com/docs/working-with-clustering). 
  # @option opts [Array<String>] :_return This parameter is used for specifying return fields.
  # @option opts [String] :aql This parameter is used to supply a query in AYLIEN Query Language. 
  # @option opts [String] :aql_default_field This parameter is used to supply an optional default field name used in the AQL query. 
  # @option opts [String] :query This parameter is used to make an advanced query using $and, $or, $not logical operators and $eq for exact match, $text for a text search and $lt, $gt, $lte, $gte for range queries. value must be a json string. 
  # @option opts [String] :sort_by This parameter is used for changing the order column of the results. You can read about sorting results [here](https://newsapi.aylien.com/docs/sorting-results). 
  # @option opts [String] :sort_direction This parameter is used for changing the order direction of the result. You can read about sorting results [here](https://newsapi.aylien.com/docs/sorting-results). 
  # @option opts [String] :cursor This parameter is used for finding a specific page. You can read more about pagination of results [here](https://newsapi.aylien.com/docs/pagination-of-results). 
  # @option opts [Integer] :per_page This parameter is used for specifying number of items in each page You can read more about pagination of results [here](https://newsapi.aylien.com/docs/pagination-of-results) 
  # @return [Stories]
  describe 'list_stories test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_time_series
  # List time series
  # The time series endpoint allows you to track information contained in stories over time. This information can be anything from mentions of a topic or entities, sentiment about a topic, or the volume of stories published by a source, to name but a few. The full list of parameters is given below. Using the [Date Math Syntax](https://newsapi.aylien.com/docs/working-with-dates), you can easily set your query to return information from any time period, from the current point in time to when the News API started collecting stories. The returned information can be rounded to a time also specified by you, for example by setting the results into hourly, daily, or weekly data points. 
  # @param [Hash] opts the optional parameters
  # @option opts [Array<Integer>] :id This parameter is used for finding stories by story id. 
  # @option opts [Array<Integer>] :id2 This parameter is used for excluding stories by story id. 
  # @option opts [String] :title This parameter is used for finding stories whose title contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :body This parameter is used for finding stories whose body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :text This parameter is used for finding stories whose title or body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_title This parameter is used for finding stories whose translation title contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_body This parameter is used for finding stories whose translation body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_text This parameter is used for finding stories whose translation title or body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [Array<String>] :language This parameter is used for finding stories whose language is the specified value. It supports [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language codes. 
  # @option opts [Array<String>] :language2 This parameter is used for excluding stories whose language is the specified value. It supports [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language codes. 
  # @option opts [String] :categories_taxonomy This parameter is used for defining the type of the taxonomy for the rest of the categories queries. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Boolean] :categories_confident This parameter is used for finding stories whose categories are confident. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_id This parameter is used for finding stories by categories id. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_id2 This parameter is used for excluding stories by categories id. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_label This parameter is used for finding stories by categories label. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_label2 This parameter is used for excluding stories by categories label. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<Integer>] :categories_level This parameter is used for finding stories by categories level. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<Integer>] :categories_level2 This parameter is used for excluding stories by categories level. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :entities_id This parameter is used to find stories based on the specified entities &#x60;id&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_id2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;id&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikipedia This parameter is used to find stories based on the specified entities wikipedia URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikipedia2 This parameter is used to exclude stories based on the specified entity&#39;s Wikipedia URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikidata This parameter is used to find stories based on the specified entities wikidata URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikidata2 This parameter is used to exclude stories based on the specified entity&#39;s Wikidata URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_types This parameter is used to find stories based on the specified entities &#x60;types&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_types2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;types&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_stock_tickers This parameter is used to find stories based on the specified entities &#x60;stock_tickers&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_stock_tickers This parameter is used to exclude stories based on the specified entity&#39;s &#x60;stock_tickers&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [String] :entities_title_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60; in story titles. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_title_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60; in story titles. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [String] :sentiment_title_polarity This parameter is used for finding stories whose title sentiment is the specified value. 
  # @option opts [String] :sentiment_title_polarity2 This parameter is used for excluding stories whose title sentiment is the specified value. 
  # @option opts [String] :sentiment_body_polarity This parameter is used for finding stories whose body sentiment is the specified value. 
  # @option opts [String] :sentiment_body_polarity2 This parameter is used for excluding stories whose body sentiment is the specified value. 
  # @option opts [Integer] :media_images_count_min This parameter is used for finding stories whose number of images is greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_count_max This parameter is used for finding stories whose number of images is less than or equal to the specified value. 
  # @option opts [Integer] :media_images_width_min This parameter is used for finding stories whose width of images are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_width_max This parameter is used for finding stories whose width of images are less than or equal to the specified value. 
  # @option opts [Integer] :media_images_height_min This parameter is used for finding stories whose height of images are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_height_max This parameter is used for finding stories whose height of images are less than or equal to the specified value. 
  # @option opts [Integer] :media_images_content_length_min This parameter is used for finding stories whose images content length are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_content_length_max This parameter is used for finding stories whose images content length are less than or equal to the specified value. 
  # @option opts [Array<String>] :media_images_format This parameter is used for finding stories whose images format are the specified value. 
  # @option opts [Array<String>] :media_images_format2 This parameter is used for excluding stories whose images format are the specified value. 
  # @option opts [Integer] :media_videos_count_min This parameter is used for finding stories whose number of videos is greater than or equal to the specified value. 
  # @option opts [Integer] :media_videos_count_max This parameter is used for finding stories whose number of videos is less than or equal to the specified value. 
  # @option opts [Array<Integer>] :author_id This parameter is used for finding stories whose author id is the specified value. 
  # @option opts [Array<Integer>] :author_id2 This parameter is used for excluding stories whose author id is the specified value. 
  # @option opts [String] :author_name This parameter is used for finding stories whose author full name contains the specified value. 
  # @option opts [String] :author_name2 This parameter is used for excluding stories whose author full name contains the specified value. 
  # @option opts [Array<Integer>] :source_id This parameter is used for finding stories whose source id is the specified value. 
  # @option opts [Array<Integer>] :source_id2 This parameter is used for excluding stories whose source id is the specified value. 
  # @option opts [Array<String>] :source_name This parameter is used for finding stories whose source name contains the specified value. 
  # @option opts [Array<String>] :source_name2 This parameter is used for excluding stories whose source name contains the specified value. 
  # @option opts [Array<String>] :source_domain This parameter is used for finding stories whose source domain is the specified value. 
  # @option opts [Array<String>] :source_domain2 This parameter is used for excluding stories whose source domain is the specified value. 
  # @option opts [Array<String>] :source_locations_country This parameter is used for finding stories whose source country is the specified value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_country2 This parameter is used for excluding stories whose source country is the specified value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_state This parameter is used for finding stories whose source state/province is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_state2 This parameter is used for excluding stories whose source state/province is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_city This parameter is used for finding stories whose source city is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_city2 This parameter is used for excluding stories whose source city is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_country This parameter is used for finding stories whose source scopes is the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_country2 This parameter is used for excluding stories whose source scopes is the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_state This parameter is used for finding stories whose source scopes is the specified state/province value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_state2 This parameter is used for excluding stories whose source scopes is the specified state/province value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_city This parameter is used for finding stories whose source scopes is the specified city value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_city2 This parameter is used for excluding stories whose source scopes is the specified city value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_level This parameter is used for finding stories whose source scopes is the specified level value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_level2 This parameter is used for excluding stories whose source scopes is the specified level value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Integer] :source_links_in_count_min This parameter is used for finding stories from sources whose Links in count is greater than or equal to the specified value. You can read more about working with Links in count [here](https://newsapi.aylien.com/docs/working-with-links-in-count). 
  # @option opts [Integer] :source_links_in_count_max This parameter is used for finding stories from sources whose Links in count is less than or equal to the specified value. You can read more about working with Links in count [here](https://newsapi.aylien.com/docs/working-with-links-in-count). 
  # @option opts [Integer] :source_rankings_alexa_rank_min This parameter is used for finding stories from sources whose Alexa rank is greater than or equal to the specified value. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Integer] :source_rankings_alexa_rank_max This parameter is used for finding stories from sources whose Alexa rank is less than or equal to the specified value. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Array<String>] :source_rankings_alexa_country This parameter is used for finding stories from sources whose Alexa rank is in the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Integer] :social_shares_count_facebook_min This parameter is used for finding stories whose Facebook social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_facebook_max This parameter is used for finding stories whose Facebook social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_google_plus_min This parameter is used for finding stories whose Google+ social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_google_plus_max This parameter is used for finding stories whose Google+ social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_linkedin_min This parameter is used for finding stories whose LinkedIn social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_linkedin_max This parameter is used for finding stories whose LinkedIn social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_reddit_min This parameter is used for finding stories whose Reddit social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_reddit_max This parameter is used for finding stories whose Reddit social shares count is less than or equal to the specified value. 
  # @option opts [Array<String>] :clusters This parameter is used for finding stories with belonging to one of clusters in a specific set of clusters You can read more about working with clustering [here](https://newsapi.aylien.com/docs/working-with-clustering). 
  # @option opts [String] :aql This parameter is used to supply a query in AYLIEN Query Language. 
  # @option opts [String] :aql_default_field This parameter is used to supply an optional default field name used in the AQL query. 
  # @option opts [String] :query This parameter is used to make an advanced query using $and, $or, $not logical operators and $eq for exact match, $text for a text search and $lt, $gt, $lte, $gte for range queries. value must be a json string. 
  # @option opts [String] :published_at_start This parameter is used for finding stories whose published at time is less than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :published_at_end This parameter is used for finding stories whose published at time is greater than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :period The size of each date range is expressed as an interval to be added to the lower bound. It supports Date Math Syntax. Valid options are &#x60;+&#x60; following an integer number greater than 0 and one of the Date Math keywords. e.g. &#x60;+1DAY&#x60;, &#x60;+2MINUTES&#x60; and &#x60;+1MONTH&#x60;. Here are [Supported keywords](https://newsapi.aylien.com/docs/working-with-dates#date-math). 
  # @return [TimeSeriesList]
  describe 'list_time_series test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_trends
  # List trends
  # The trends endpoint allows you to identify the most-mentioned entities, concepts and keywords relevant to your query. For example, this endpoint allows you to set parameters like a time period, a subject category, or an entity, and your request will return the most mentioned entities or keywords that are mentioned in relation to your query. 
  # @param field This parameter is used to specify the trend field. 
  # @param [Hash] opts the optional parameters
  # @option opts [Array<Integer>] :id This parameter is used for finding stories by story id. 
  # @option opts [Array<Integer>] :id2 This parameter is used for excluding stories by story id. 
  # @option opts [String] :title This parameter is used for finding stories whose title contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :body This parameter is used for finding stories whose body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :text This parameter is used for finding stories whose title or body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_title This parameter is used for finding stories whose translation title contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_body This parameter is used for finding stories whose translation body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [String] :translations_en_text This parameter is used for finding stories whose translation title or body contains a specific keyword. It supports [boolean operators](https://newsapi.aylien.com/docs/boolean-operators). 
  # @option opts [Array<String>] :links_permalink This parameter is used to find stories based on their url. 
  # @option opts [Array<String>] :links_permalink2 This parameter is used to exclude stories based on their url. 
  # @option opts [Array<String>] :language This parameter is used for finding stories whose language is the specified value. It supports [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language codes. 
  # @option opts [Array<String>] :language2 This parameter is used for excluding stories whose language is the specified value. It supports [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language codes. 
  # @option opts [String] :published_at_start This parameter is used for finding stories whose published at time is greater than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :published_at_end This parameter is used for finding stories whose published at time is less than the specified value. [Here](https://newsapi.aylien.com/docs/working-with-dates) you can find more information about how [to work with dates](https://newsapi.aylien.com/docs/working-with-dates). 
  # @option opts [String] :categories_taxonomy This parameter is used for defining the type of the taxonomy for the rest of the categories queries. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Boolean] :categories_confident This parameter is used for finding stories whose categories are confident. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_id This parameter is used for finding stories by categories id. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_id2 This parameter is used for excluding stories by categories id. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_label This parameter is used for finding stories by categories label. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :categories_label2 This parameter is used for excluding stories by categories label. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<Integer>] :categories_level This parameter is used for finding stories by categories level. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<Integer>] :categories_level2 This parameter is used for excluding stories by categories level. You can read more about working with categories [here](https://newsapi.aylien.com/docs/working-with-categories). 
  # @option opts [Array<String>] :entities_id This parameter is used to find stories based on the specified entities &#x60;id&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_id2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;id&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikipedia This parameter is used to find stories based on the specified entities wikipedia URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikipedia2 This parameter is used to exclude stories based on the specified entity&#39;s Wikipedia URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikidata This parameter is used to find stories based on the specified entities wikidata URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_links_wikidata2 This parameter is used to exclude stories based on the specified entity&#39;s Wikidata URL. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_types This parameter is used to find stories based on the specified entities &#x60;types&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_types2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;types&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_stock_tickers This parameter is used to find stories based on the specified entities &#x60;stock_tickers&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_stock_tickers This parameter is used to exclude stories based on the specified entity&#39;s &#x60;stock_tickers&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60;. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [String] :entities_title_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60; in story titles. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_title_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60; in story titles. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_surface_forms_text This parameter is used to find stories based on the specified entities &#x60;surface_form&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [Array<String>] :entities_body_surface_forms_text2 This parameter is used to exclude stories based on the specified entity&#39;s &#x60;surface_form&#x60; in the body of stories. You can read more about working with entities [here](https://newsapi.aylien.com/docs/working-with-entities). 
  # @option opts [String] :sentiment_title_polarity This parameter is used for finding stories whose title sentiment is the specified value. 
  # @option opts [String] :sentiment_title_polarity2 This parameter is used for excluding stories whose title sentiment is the specified value. 
  # @option opts [String] :sentiment_body_polarity This parameter is used for finding stories whose body sentiment is the specified value. 
  # @option opts [String] :sentiment_body_polarity2 This parameter is used for excluding stories whose body sentiment is the specified value. 
  # @option opts [Integer] :media_images_count_min This parameter is used for finding stories whose number of images is greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_count_max This parameter is used for finding stories whose number of images is less than or equal to the specified value. 
  # @option opts [Integer] :media_images_width_min This parameter is used for finding stories whose width of images are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_width_max This parameter is used for finding stories whose width of images are less than or equal to the specified value. 
  # @option opts [Integer] :media_images_height_min This parameter is used for finding stories whose height of images are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_height_max This parameter is used for finding stories whose height of images are less than or equal to the specified value. 
  # @option opts [Integer] :media_images_content_length_min This parameter is used for finding stories whose images content length are greater than or equal to the specified value. 
  # @option opts [Integer] :media_images_content_length_max This parameter is used for finding stories whose images content length are less than or equal to the specified value. 
  # @option opts [Array<String>] :media_images_format This parameter is used for finding stories whose images format are the specified value. 
  # @option opts [Array<String>] :media_images_format2 This parameter is used for excluding stories whose images format are the specified value. 
  # @option opts [Integer] :media_videos_count_min This parameter is used for finding stories whose number of videos is greater than or equal to the specified value. 
  # @option opts [Integer] :media_videos_count_max This parameter is used for finding stories whose number of videos is less than or equal to the specified value. 
  # @option opts [Array<Integer>] :author_id This parameter is used for finding stories whose author id is the specified value. 
  # @option opts [Array<Integer>] :author_id2 This parameter is used for excluding stories whose author id is the specified value. 
  # @option opts [String] :author_name This parameter is used for finding stories whose author full name contains the specified value. 
  # @option opts [String] :author_name2 This parameter is used for excluding stories whose author full name contains the specified value. 
  # @option opts [Array<Integer>] :source_id This parameter is used for finding stories whose source id is the specified value. 
  # @option opts [Array<Integer>] :source_id2 This parameter is used for excluding stories whose source id is the specified value. 
  # @option opts [Array<String>] :source_name This parameter is used for finding stories whose source name contains the specified value. 
  # @option opts [Array<String>] :source_name2 This parameter is used for excluding stories whose source name contains the specified value. 
  # @option opts [Array<String>] :source_domain This parameter is used for finding stories whose source domain is the specified value. 
  # @option opts [Array<String>] :source_domain2 This parameter is used for excluding stories whose source domain is the specified value. 
  # @option opts [Array<String>] :source_locations_country This parameter is used for finding stories whose source country is the specified value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_country2 This parameter is used for excluding stories whose source country is the specified value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_state This parameter is used for finding stories whose source state/province is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_state2 This parameter is used for excluding stories whose source state/province is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_city This parameter is used for finding stories whose source city is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_locations_city2 This parameter is used for excluding stories whose source city is the specified value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_country This parameter is used for finding stories whose source scopes is the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_country2 This parameter is used for excluding stories whose source scopes is the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_state This parameter is used for finding stories whose source scopes is the specified state/province value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_state2 This parameter is used for excluding stories whose source scopes is the specified state/province value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_city This parameter is used for finding stories whose source scopes is the specified city value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_city2 This parameter is used for excluding stories whose source scopes is the specified city value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_level This parameter is used for finding stories whose source scopes is the specified level value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Array<String>] :source_scopes_level2 This parameter is used for excluding stories whose source scopes is the specified level value. [Here](https://newsapi.aylien.com/docs/working-with-locations) you can find more information about how [to work with locations](https://newsapi.aylien.com/docs/working-with-locations). 
  # @option opts [Integer] :source_links_in_count_min This parameter is used for finding stories from sources whose Links in count is greater than or equal to the specified value. You can read more about working with Links in count [here](https://newsapi.aylien.com/docs/working-with-links-in-count). 
  # @option opts [Integer] :source_links_in_count_max This parameter is used for finding stories from sources whose Links in count is less than or equal to the specified value. You can read more about working with Links in count [here](https://newsapi.aylien.com/docs/working-with-links-in-count). 
  # @option opts [Integer] :source_rankings_alexa_rank_min This parameter is used for finding stories from sources whose Alexa rank is greater than or equal to the specified value. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Integer] :source_rankings_alexa_rank_max This parameter is used for finding stories from sources whose Alexa rank is less than or equal to the specified value. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Array<String>] :source_rankings_alexa_country This parameter is used for finding stories from sources whose Alexa rank is in the specified country value. It supports [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country codes. You can read more about working with Alexa ranks [here](https://newsapi.aylien.com/docs/working-with-alexa-ranks). 
  # @option opts [Integer] :social_shares_count_facebook_min This parameter is used for finding stories whose Facebook social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_facebook_max This parameter is used for finding stories whose Facebook social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_google_plus_min This parameter is used for finding stories whose Google+ social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_google_plus_max This parameter is used for finding stories whose Google+ social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_linkedin_min This parameter is used for finding stories whose LinkedIn social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_linkedin_max This parameter is used for finding stories whose LinkedIn social shares count is less than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_reddit_min This parameter is used for finding stories whose Reddit social shares count is greater than or equal to the specified value. 
  # @option opts [Integer] :social_shares_count_reddit_max This parameter is used for finding stories whose Reddit social shares count is less than or equal to the specified value. 
  # @option opts [Array<String>] :clusters This parameter is used for finding stories with belonging to one of clusters in a specific set of clusters You can read more about working with clustering [here](https://newsapi.aylien.com/docs/working-with-clustering). 
  # @option opts [String] :aql This parameter is used to supply a query in AYLIEN Query Language. 
  # @option opts [String] :aql_default_field This parameter is used to supply an optional default field name used in the AQL query. 
  # @option opts [String] :query This parameter is used to make an advanced query using $and, $or, $not logical operators and $eq for exact match, $text for a text search and $lt, $gt, $lte, $gte for range queries. value must be a json string. 
  # @return [Trends]
  describe 'list_trends test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
